## org.eclipse.uml2.uml
Interface OccurrenceSpecification

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, InteractionFragment, NamedElement, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ExecutionOccurrenceSpecification, MessageOccurrenceSpecification

    public interface OccurrenceSpecification

extends InteractionFragment

A representation of the model object 'Occurrence Specification'. An occurrence specification is the basic semantic unit of interactions. The sequences of occurrences specified by them are the meanings of interactions.

The following features are supported:

- `To Before`
- `Event`
- `To After`

See Also:
  `UMLPackage.getOccurrenceSpecification()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Event` `getEvent()` Returns the value of the 'Event' reference
`GeneralOrdering` `getToAfter(java.lang.String name)` Retrieves the first `GeneralOrdering` with the specified 'Name' from the 'To After' reference list
`GeneralOrdering` `getToAfter(java.lang.String name, boolean ignoreCase)` Retrieves the first `GeneralOrdering` with the specified 'Name' from the 'To After' reference list
`org.eclipse.emf.common.util.EList<GeneralOrdering>` `getToAfters()` Returns the value of the 'To After' reference list.
`GeneralOrdering` `getToBefore(java.lang.String name)` Retrieves the first `GeneralOrdering` with the specified 'Name' from the 'To Before' reference list
`GeneralOrdering` `getToBefore(java.lang.String name, boolean ignoreCase)` Retrieves the first `GeneralOrdering` with the specified 'Name' from the 'To Before' reference list
`org.eclipse.emf.common.util.EList<GeneralOrdering>` `getToBefores()` Returns the value of the 'To Before' reference list.
`void` `setEvent(Event value)` Sets the value of the '`Event`' reference

Methods inherited from interface org.eclipse.uml2.uml.InteractionFragment
`createGeneralOrdering, getCovered, getCovered, getCovereds, getEnclosingInteraction, getEnclosingOperand, getGeneralOrdering, getGeneralOrdering, getGeneralOrderings, setEnclosingInteraction, setEnclosingOperand`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getToBefores

    org.eclipse.emf.common.util.EList<GeneralOrdering> getToBefores()

  Returns the value of the 'To Before' reference list. The list contents are of type `GeneralOrdering`. It is bidirectional and its opposite is '`After`'. References the GeneralOrderings that specify EventOcurrences that must occur before this OccurrenceSpecification

  Returns:
    the value of the 'To Before' reference list.
  See Also:
    `UMLPackage.getOccurrenceSpecification_ToBefore()`, `GeneralOrdering.getAfter()`

### getToBefore

    GeneralOrdering getToBefore(java.lang.String name)

  Retrieves the first `GeneralOrdering` with the specified 'Name' from the 'To Before' reference list.

  Parameters:
    `name` - The 'Name' of the `GeneralOrdering` to retrieve, or `null`.
  Returns:
    The first `GeneralOrdering` with the specified 'Name', or `null`.
  See Also:
    `getToBefores()`

### getToBefore

    GeneralOrdering getToBefore(java.lang.String name,
                                boolean ignoreCase)

  Retrieves the first `GeneralOrdering` with the specified 'Name' from the 'To Before' reference list.

  Parameters:
    `name` - The 'Name' of the `GeneralOrdering` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `GeneralOrdering` with the specified 'Name', or `null`.
  See Also:
    `getToBefores()`

### getEvent

    Event getEvent()

  Returns the value of the 'Event' reference. References a specification of the occurring event.

  Returns:
    the value of the 'Event' reference.
  See Also:
    `setEvent(Event)`, `UMLPackage.getOccurrenceSpecification_Event()`

### setEvent

    void setEvent(Event value)

  Sets the value of the '`Event`' reference.

  Parameters:
    `value` - the new value of the 'Event' reference.
  See Also:
    `getEvent()`

### getToAfters

    org.eclipse.emf.common.util.EList<GeneralOrdering> getToAfters()

  Returns the value of the 'To After' reference list. The list contents are of type `GeneralOrdering`. It is bidirectional and its opposite is '`Before`'. References the GeneralOrderings that specify EventOcurrences that must occur after this OccurrenceSpecification

  Returns:
    the value of the 'To After' reference list.
  See Also:
    `UMLPackage.getOccurrenceSpecification_ToAfter()`, `GeneralOrdering.getBefore()`

### getToAfter

    GeneralOrdering getToAfter(java.lang.String name)

  Retrieves the first `GeneralOrdering` with the specified 'Name' from the 'To After' reference list.

  Parameters:
    `name` - The 'Name' of the `GeneralOrdering` to retrieve, or `null`.
  Returns:
    The first `GeneralOrdering` with the specified 'Name', or `null`.
  See Also:
    `getToAfters()`

### getToAfter

    GeneralOrdering getToAfter(java.lang.String name,
                               boolean ignoreCase)

  Retrieves the first `GeneralOrdering` with the specified 'Name' from the 'To After' reference list.

  Parameters:
    `name` - The 'Name' of the `GeneralOrdering` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `GeneralOrdering` with the specified 'Name', or `null`.
  See Also:
    `getToAfters()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.